# DXGfxLib.SkyDome Class Reference

Inherits DXGfxLib::MeshObject, and DXGfxLib::MeshObject.

Collaboration diagram for DXGfxLib.SkyDome:

[legend]

List of all members.

## Public Member Functions
| SkyDome ()
override void | Initialize ()
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| We use the Update method to ensure that the Skybox is always centered on the camera position.
void | RenderSky (Device device)
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.
| SkyDome ()
override void | Initialize ()
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| We use the Update method to ensure that the Skybox is always centered on the camera position.
void | RenderSky (Device device)
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

## Detailed Description

Definition at line 27 of file SkyDome.cs.

## Constructor & Destructor Documentation

DXGfxLib.SkyDome.SkyDome | ( |  | ) |

Definition at line 40 of file SkyDome.cs.

Here is the call graph for this function:

DXGfxLib.SkyDome.SkyDome | ( |  | ) |

Definition at line 40 of file SkyDome.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.SkyDome.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 50 of file SkyDome.cs.

override void DXGfxLib.SkyDome.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 50 of file SkyDome.cs.

Here is the caller graph for this function:

override void DXGfxLib.SkyDome.Initialize | ( |  | ) | `[virtual]`

Reimplemented from DXGfxLib.MeshObject.

Definition at line 45 of file SkyDome.cs.

override void DXGfxLib.SkyDome.Initialize | ( |  | ) | `[virtual]`

Reimplemented from DXGfxLib.MeshObject.

Definition at line 45 of file SkyDome.cs.

Here is the caller graph for this function:

override void DXGfxLib.SkyDome.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 118 of file SkyDome.cs.

override void DXGfxLib.SkyDome.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 118 of file SkyDome.cs.

Here is the caller graph for this function:

void DXGfxLib.SkyDome.RenderSky | ( | Device | device | ) |

Definition at line 75 of file SkyDome.cs.

void DXGfxLib.SkyDome.RenderSky | ( | Device | device | ) |

Definition at line 75 of file SkyDome.cs.

override void DXGfxLib.SkyDome.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

We use the Update method to ensure that the Skybox is always centered on the camera position.

Parameters:

  | frustrum |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 61 of file SkyDome.cs.

override void DXGfxLib.SkyDome.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

We use the Update method to ensure that the Skybox is always centered on the camera position.

Parameters:

  | frustrum |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 61 of file SkyDome.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/SkyDome.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/SkyDome.cs